# ----------------------------------------------------------------------
# |
# |  Errors.py
# |
# |  David Brownell <db@DavidBrownell.com>
# |      2024-04-10 08:30:59
# |
# ----------------------------------------------------------------------
# |
# |  Copyright David Brownell 2024
# |  Distributed under the MIT License.
# |
# ----------------------------------------------------------------------
"""Contains errors generated by this library"""

from .Common.Error import CreateErrorType, Region

# Convenience imports
from .Common.Error import SimpleSchemaGeneratorException  # pylint: disable=unused-import


# ----------------------------------------------------------------------
CardinalityInvalidRange = CreateErrorType("Invalid cardinality ({min} > {max}).", min=int, max=int)

MetadataItemDuplicated = CreateErrorType(
    "The metadata item '{key}' was already provided at {prev_region}.",
    key=str,
    prev_region=Region,
)

TupleExpressionEmpty = CreateErrorType("No expressions were provided.")
